gnutls_x509_trust_list_add_cas(3)

NAME
gnutls_x509_trust_list_add_cas - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_cas(gnutls_x509_trust_list_t list, const gnutls_x509_crt_t * clist, unsigned clist_size, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_x509_crt_t * clist
    A list of CAs

unsigned clist_size
    The length of the CA list

unsigned int flags
    flags from gnutls_trust_list_flags_t

DESCRIPTION
This function will add the given certificate authorities to the trusted list. The CAs in clist must not be deinitialized during the lifetime of list . If the flag GNUTLS_TL_NO_DUPLICATES is specified, then this function will ensure that no duplicates will be present in the final trust list. If the flag GNUTLS_TL_NO_DUPLICATE_KEY is specified, then this function will ensure that no certificates with the same key are present in the final trust list. If either GNUTLS_TL_NO_DUPLICATE_KEY or GNUTLS_TL_NO_DUPLICATES are given, gnutls_x509_trust_list_deinit() must be called with parameter
 all being 1.

RETURNS
The number of added elements is returned; that includes duplicate entries.

SINCE
3.0.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/